ApiEvent (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiEvent

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiEvent

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiEvent
      extends Object

  Events model noteworthy incidents in Cloudera Manager or the managed Hadoop cluster. An event carries its event category, severity, and a string content. They also have generic attributes, which are free-form key value pairs. Important events may be promoted into alerts.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiEvent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiEvent` | `addAttributesItem(ApiEventAttribute attributesItem)`
    `ApiEvent` | `alert(Boolean alert)`
    `ApiEvent` | `attributes(List<ApiEventAttribute> attributes)`
    `ApiEvent` | `category(ApiEventCategory category)`
    `ApiEvent` | `content(String content)`
    `boolean` | `equals(Object o)`
    `Boolean` | `getAlert()` Whether the event is promoted to an alert according to configuration.
    `List<ApiEventAttribute>` | `getAttributes()` A list of key-value attribute pairs.
    `ApiEventCategory` | `getCategory()` The category of this event -- whether it is a health event, an audit event, an activity event, etc.
    `String` | `getContent()` The content payload of this event.
    `String` | `getId()` A unique ID for this event.
    `ApiEventSeverity` | `getSeverity()` The severity of the event.
    `String` | `getTimeOccurred()` When the event was generated.
    `String` | `getTimeReceived()` When the event was stored by Cloudera Manager.
    `int` | `hashCode()`
    `ApiEvent` | `id(String id)`
    `void` | `setAlert(Boolean alert)`
    `void` | `setAttributes(List<ApiEventAttribute> attributes)`
    `void` | `setCategory(ApiEventCategory category)`
    `void` | `setContent(String content)`
    `void` | `setId(String id)`
    `void` | `setSeverity(ApiEventSeverity severity)`
    `void` | `setTimeOccurred(String timeOccurred)`
    `void` | `setTimeReceived(String timeReceived)`
    `ApiEvent` | `severity(ApiEventSeverity severity)`
    `ApiEvent` | `timeOccurred(String timeOccurred)`
    `ApiEvent` | `timeReceived(String timeReceived)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiEvent

          public ApiEvent()

  - ### Method Detail

    - #### id

          public ApiEvent id(String id)

    - #### getId

          public String getId()

      A unique ID for this event.
      Returns:
        id

    - #### setId

          public void setId(String id)

    - #### content

          public ApiEvent content(String content)

    - #### getContent

          public String getContent()

      The content payload of this event.
      Returns:
        content

    - #### setContent

          public void setContent(String content)

    - #### timeOccurred

          public ApiEvent timeOccurred(String timeOccurred)

    - #### getTimeOccurred

          public String getTimeOccurred()

      When the event was generated.
      Returns:
        timeOccurred

    - #### setTimeOccurred

          public void setTimeOccurred(String timeOccurred)

    - #### timeReceived

          public ApiEvent timeReceived(String timeReceived)

    - #### getTimeReceived

          public String getTimeReceived()

      When the event was stored by Cloudera Manager. Events do not arrive in the order that they are generated. If you are writing an event poller, this is a useful field to query.
      Returns:
        timeReceived

    - #### setTimeReceived

          public void setTimeReceived(String timeReceived)

    - #### category

          public ApiEvent category(ApiEventCategory category)

    - #### getCategory

          public ApiEventCategory getCategory()

      The category of this event -- whether it is a health event, an audit event, an activity event, etc.
      Returns:
        category

    - #### setCategory

          public void setCategory(ApiEventCategory category)

    - #### severity

          public ApiEvent severity(ApiEventSeverity severity)

    - #### getSeverity

          public ApiEventSeverity getSeverity()

      The severity of the event.
      Returns:
        severity

    - #### setSeverity

          public void setSeverity(ApiEventSeverity severity)

    - #### alert

          public ApiEvent alert(Boolean alert)

    - #### getAlert

          public Boolean getAlert()

      Whether the event is promoted to an alert according to configuration. Defaults to false
      Returns:
        alert

    - #### setAlert

          public void setAlert(Boolean alert)

    - #### attributes

          public ApiEvent attributes(List<ApiEventAttribute> attributes)

    - #### addAttributesItem

          public ApiEvent addAttributesItem(ApiEventAttribute attributesItem)

    - #### getAttributes

          public List<ApiEventAttribute> getAttributes()

      A list of key-value attribute pairs.
      Returns:
        attributes

    - #### setAttributes

          public void setAttributes(List<ApiEventAttribute> attributes)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.